Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMEditorSWTDebugView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMEditorSWTDebugView.java	(revision 1534)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMEditorSWTDebugView.java	(revision 1535)
@@ -61,6 +61,9 @@
 import org.eclipse.ui.IPropertyListener;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.PlatformUI;
+import org.eclipse.ui.forms.editor.FormEditor;
+import org.eclipse.ui.forms.editor.FormPage;
+import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.part.ViewPart;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMMultiPageEditor;
@@ -132,11 +135,14 @@
 			@Override
 			public Object[] getElements(Object inputElement) {
 				if (inputElement == null) return new Object[0];
-
+				
+				Object[] o = new Object[1];
 				if (inputElement instanceof TXMEditor) {
-					Object[] o = new Object[1];
+					
 					o[0] = ((TXMEditor)inputElement).getContainer();
 					return o;
+				} else if (inputElement instanceof Composite) {
+					return ((Composite) inputElement).getChildren();
 				}
 				return null;
 			}
@@ -288,14 +294,20 @@
 
 		if (layoutData instanceof GridData) {
 			GridData data = (GridData)layoutData;
-			return "GD: "+data.heightHint+" "+data.widthHint
-					+" "+data.horizontalAlignment+" "+data.horizontalIndent+" "+data.horizontalSpan
-					+" "+data.minimumHeight+" "+data.minimumWidth
-					+" "+data.verticalAlignment+" "+data.verticalIndent+" "+data.verticalSpan;
+			return "GD: heightHint="+data.heightHint+" widthHint="+data.widthHint
+					+"\n horizontalAlignment="+data.horizontalAlignment+" horizontalIndent="+data.horizontalIndent+" horizontalSpan="+data.horizontalSpan
+					+"\n minimumHeight="+data.minimumHeight+" minimumWidth="+data.minimumWidth
+					+"\n verticalAlignment="+data.verticalAlignment+" verticalIndent="+data.verticalIndent+" verticalSpan="+data.verticalSpan;
+		} else if (layoutData instanceof TableWrapData) {
+			TableWrapData data = (TableWrapData)layoutData;
+			return "TWD: heightHint="+data.heightHint+" align="+data.align
+					+"\n colspan="+data.colspan+" heightHint="+data.heightHint+" indent="+data.indent
+					+"\n maxHeight="+data.maxHeight+" maxWidth="+data.maxWidth
+					+"\n rowspan="+data.rowspan+" valign="+data.valign+" grabHorizontal="+data.grabHorizontal+" grabVertical="+data.grabVertical;
 		} else if (layoutData instanceof FormData) {
 			FormData data = (FormData)layoutData;
-			return "GD: "+data.height+" "+data.width
-					+" "+data.width+" "+data.bottom+" "+data.left+" "+data.right+" "+data.top;
+			return "FD: height="+data.height+" width="+data.width
+					+"\n bottom="+data.bottom+" left="+data.left+" right="+data.right+" top="+data.top;
 		}
 		return layoutData.toString();
 	}
@@ -327,6 +339,12 @@
 					+"\n "+gl.marginBottom+" "+gl.marginLeft+" "+gl.marginRight+" "+gl.marginTop
 					+"\n "+gl.numColumns+" "+gl.makeColumnsEqualWidth;
 
+		} else if (layout instanceof FormLayout) {
+			FormLayout gl = (FormLayout)layout;
+			return "FL: marginBottom="+gl.marginBottom+" marginHeight="+gl.marginHeight+" marginWidth="+gl.marginWidth
+					+"\n marginLeft="+gl.marginLeft+" marginRight="+gl.marginRight+" marginTop="+gl.marginTop
+					+"\n spacing="+gl.spacing;
+
 		} else {
 			return layout.toString();
 		}
@@ -336,15 +354,18 @@
 	public void partActivated(IWorkbenchPart part) {
 		if (part == null)
 			return;
+
 		// System.out.println("partActivated: "+part);
 		if (part instanceof TXMEditor) {
 			treeViewer.setInput(part);
 		} else if (part instanceof TXMMultiPageEditor) {
 			TXMMultiPageEditor tmpe = (TXMMultiPageEditor)part;
-			part = tmpe.getMainEditorPart();
-			if (part instanceof TXMEditor) {
-				treeViewer.setInput(part);
-			}
+				treeViewer.setInput(tmpe.getContainer());
+		} else if (part instanceof FormEditor) {
+			FormEditor tmpe = (FormEditor)part;
+			FormPage part2 = (FormPage) tmpe.getSelectedPage();
+			
+			treeViewer.setInput(part2.getPartControl());
 		}
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 1534)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 1535)
@@ -45,7 +45,6 @@
 import org.txm.rcp.editors.input.ImportFormEditorInput;
 import org.txm.rcp.messages.TXMUIMessages;
 
-// TODO: Auto-generated Javadoc
 /**
  * display&edit the import parameters 
  * @author mdecorde.
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java	(revision 1534)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java	(revision 1535)
@@ -31,6 +31,7 @@
 import java.util.List;
 
 import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.part.EditorPart;
@@ -65,6 +66,13 @@
 	 */
 	protected EditorPart mainEditor;
 
+	/**
+	 * 
+	 * @return the root composite of this multi paged editor
+	 */
+	public Composite getContainer() {
+		return super.getContainer();
+	}
 //
 //
 //	/* (non-Javadoc)
